"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImagesByCarId = exports.addImage = void 0;
const image_record_1 = require("../records/image.record");
const addImage = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const newImage = new image_record_1.ImageRecord({
            url: req.body.url,
            carId: req.params.carId,
        });
        yield newImage.insert();
        res.status(201).send('Zdjęcie zostało dodane.');
    }
    catch (err) {
        res.send('Przepraszamy, nie udało się dodać zdjęcia. Spróbuj ponownie za kilka minut...');
        next(err);
    }
});
exports.addImage = addImage;
const getImagesByCarId = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const images = yield image_record_1.ImageRecord.getImagesByCarId(req.params.carId);
        res.status(200).send(images);
    }
    catch (err) {
        next(err);
    }
});
exports.getImagesByCarId = getImagesByCarId;
//# sourceMappingURL=image.controller.js.map