"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOneWatch = exports.getAllWatchByUserId = exports.addWatch = void 0;
const watch_record_1 = require("../records/watch.record");
const addWatch = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const check = yield watch_record_1.WatchRecord.getOneWatchByUserIdAndCarId(req.body.userId, req.body.carId);
        if (check) {
            res.status(200).send('Ten pojazd już znajudje się na liście Twoich "obserwowanych".');
            return;
        }
        const newWatch = new watch_record_1.WatchRecord({
            userId: req.body.userId,
            carId: req.body.carId,
        });
        yield newWatch.insert();
        res.status(200).send('Pojazd został doddany do Twoich "obserwowanych".');
    }
    catch (err) {
        next(err);
    }
});
exports.addWatch = addWatch;
const getAllWatchByUserId = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const watched = yield watch_record_1.WatchRecord.getAllWatchByUserId(req.params.id);
        res.status(200).send(watched);
    }
    catch (err) {
        next(err);
    }
});
exports.getAllWatchByUserId = getAllWatchByUserId;
const deleteOneWatch = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const watchToDelete = yield watch_record_1.WatchRecord.getOneWatchByUserIdAndCarId(req.params.id, req.params.carId);
        if (!watchToDelete) {
            res.status(200).send('Na liście Twoich "Obserwowanych" nie ma takiego pojazdu.');
            return;
        }
        yield watchToDelete.deleteOneWatch(req.params.id, req.params.carId);
        res.status(200).send('Pojazd został usunięty z listy Twoich "Obserwowanych".');
    }
    catch (err) {
        next(err);
    }
});
exports.deleteOneWatch = deleteOneWatch;
//# sourceMappingURL=watch.controller.js.map