"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.carsRouter = void 0;
const express_1 = require("express");
const car_controller_1 = require("../controllers/car.controller");
const verifyToken_1 = require("../utils/verifyToken");
exports.carsRouter = (0, express_1.Router)();
exports.carsRouter
    .post('/add/:id', verifyToken_1.verifyUser, car_controller_1.addCar)
    .post('/getSearchCars', car_controller_1.getSearchCars)
    .get('/getAllCars', car_controller_1.getAllCars)
    .get('/getOneCar/:id', car_controller_1.getOneCarById)
    .get('/getUsersCars/:id', verifyToken_1.verifyUser, car_controller_1.getUsersCars)
    .delete('/delete/:id/:carId', verifyToken_1.verifyAdmin, car_controller_1.deleteOneCar);
//# sourceMappingURL=cars.router.js.map