"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyAdmin = exports.verifyUser = exports.verifyToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const error_1 = require("./error");
const config_1 = require("../config/config");
const verifyToken = (req, res, next) => {
    const token = req.cookies.access_token;
    if (!token) {
        return next((0, error_1.createError)(401, "Nie zostałeś uwierzytelniony."));
    }
    jsonwebtoken_1.default.verify(token, config_1.config.secretKey, (err, user) => {
        if (err) {
            return next((0, error_1.createError)(403, 'token jest niewazny'));
        }
        // @ts-ignore
        req.user = user;
        next();
    });
};
exports.verifyToken = verifyToken;
const verifyUser = (req, res, next) => {
    (0, exports.verifyToken)(req, res, () => {
        try {
            // @ts-ignore
            if (req.user.id === req.params.id || req.user.role === 'ADMIN') {
                next();
            }
        }
        catch (err) {
            if (err)
                return next((0, error_1.createError)(403, 'Nie zostałeś zautoryzowany.'));
        }
    });
};
exports.verifyUser = verifyUser;
const verifyAdmin = (req, res, next) => {
    (0, exports.verifyToken)(req, res, () => {
        try {
            // @ts-ignore
            if (req.user.role === 'ADMIN') {
                next();
            }
        }
        catch (err) {
            if (err)
                return next((0, error_1.createError)(403, 'Nie zostałeś zautoryzowany.'));
        }
    });
};
exports.verifyAdmin = verifyAdmin;
//# sourceMappingURL=verifyToken.js.map